﻿using System.ComponentModel;
using Infragistics;

namespace SampleApp1
{
    public class TestData
    {
        #region Members

        private bool _canExecuteCommandFlag;

        #endregion // Members

        #region Properties

        public bool CanExecuteCommandFlag
        {
            get
            {
                return this._canExecuteCommandFlag;
            }

            set
            {
                if (value != this._canExecuteCommandFlag)
                {
                    this._canExecuteCommandFlag = value;
                    CommandSourceManager.NotifyCanExecuteChanged(typeof(MyCommand));
                }
            }
        }

        #endregion // Properties

        #region ctor

        public TestData()
        {
            this.CanExecuteCommandFlag = true;
        }
        
        #endregion // ctor
    }
}
